Subject: bug#50666: 28.0.50; Fix native compilation on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Sep 2021 08:37:54 +0300

> From: Ken Brown <[email-masked]>
> Date: Sat, 18 Sep 2021 16:58:21 -0400
> 
> * src/Makefile.in (emacs$(EXEEXT)) [CYGWIN]: Rebase the *.eln
> files after they are all created, to avoid fork problems later
> in the build.  (Bug#50666)

Now I see why this doesn't include the *.eln files in
~/.emacs.d/eln-cache.  But this means that on Cygwin, the only
practical way of building Emacs with native-compilation is to compile
everything, i.e. use NATIVE_FULL_AOT, which is unfortunate, IMO.

Isn't there a way to rebase a DLL on the fly, when it is loaded?